{
    "version": "0.2.0",
    "configurations": [
        {
            "type": "java",
            "name": "KLALBMain (VS Code 自动构建)",
            "request": "launch",
            "mainClass": "org.kne.cloud.network.klalb.KLALBMain",
            "projectName": "KLALB",
            "cwd": "${workspaceFolder}",
            "vmArgs": "--enable-native-access=ALL-UNNAMED --add-opens=java.base/jdk.internal.misc=ALL-UNNAMED"
        },
        {
            "type": "java",
            "name": "KLALBMain (直接用 bin 目录)",
            "request": "launch",
            "mainClass": "org.kne.cloud.network.klalb.KLALBMain",
            "cwd": "${workspaceFolder}",
            "classPaths": [
                "${workspaceFolder}/bin",
                "${workspaceFolder}/src",
                "${workspaceFolder}/lib/*"
            ],
            "vmArgs": "--enable-native-access=ALL-UNNAMED --add-opens=java.base/jdk.internal.misc=ALL-UNNAMED"
        }
    ]
}
